> ## Documentation Index
> Fetch the complete documentation index at: https://developers.trycents.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Store services

> Gets list of available services for the store by order delivery address. Get your address in Google Place ID format using this link [Place ID Geocoder](https://developers.google.com/maps/documentation/javascript/examples/places-placeid-geocoder)



## OpenAPI

````yaml GET /stores/{storeId}/services
openapi: 3.1.0
info:
  title: OpenAPI Cents
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api3.trycents.com/api/v1/common
security: []
paths:
  /stores/{storeId}/services:
    get:
      parameters:
        - $ref: '#/components/parameters/OriginHeader'
        - name: storeId
          in: path
          description: ID of store
          required: true
          schema:
            type: integer
            format: int64
        - name: googlePlacesId
          in: query
          description: Pickup address in the google place ID format
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Store services
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: integer
                    name:
                      type: string
                    type:
                      $ref: '#/components/schemas/serviceCategoryTypes'
                    category:
                      type: string
                    description:
                      type: string
                      nullable: true
                    isDeliverable:
                      type: boolean
                      description: >-
                        If set to true, the service can be used to create an
                        order.
                    isFeatured:
                      type: boolean
                      description: >-
                        If set to true, the service can be used to create an
                        order.
                    hasMinPrice:
                      type: boolean
                    minQty:
                      type: integer
                      nullable: true
                      description: minimum quantity
                    priceInCents:
                      type: integer
                    pricingType:
                      allOf:
                        - $ref: '#/components/schemas/PRICING_TYPES'
                      nullable: true
                    piecesCount:
                      type: integer
                      nullable: true
                    imagePath:
                      type: string
                      nullable: true
                    modifiers:
                      type: array
                      items:
                        type: object
                        properties:
                          id:
                            type: integer
                          name:
                            type: string
                          description:
                            type: string
                            nullable: true
                          price:
                            type: integer
                  example:
                    id: 2
                    name: Service Name
                    type: DRY CLEANING
                    category: CLOTHING
                    description: 30 X 60
                    isDeliverable: true
                    isFeatured: false
                    hasMinPrice: true
                    minQty: 5
                    priceInCents: 200
                    pricingType: FIXED_PRICE
                    piecesCount: 3
                    imagePath: null
                    modifiers:
                      - id: 33
                        name: ''
                        description: ''
                        price: 5
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
                example:
                  error: Invalid token.
        '404':
          description: Store is not found by the customer address
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
                example:
                  error: Store is not found
      security:
        - bearerAuth: []
components:
  parameters:
    OriginHeader:
      name: fwdorigin
      in: header
      required: true
      schema:
        type: string
        default: DISPATCH_API
        enum:
          - DISPATCH_API
  schemas:
    serviceCategoryTypes:
      enum:
        - DRY_CLEANING
        - LAUNDRY
      type: string
    PRICING_TYPES:
      type: string
      enum:
        - PER_POUND
        - FIXED_PRICE
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````